Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.zkforge.timeplot.geometry
Interface TimeGeometry

All Known Implementing Classes:
  DefaultTimeGeometry

    public interface TimeGeometry

Method Summary
`java.lang.String` | `getAxisColor()`
`java.lang.String` | `getAxisLabelsPlacement()`
`java.lang.String` | `getGridColor()`
`float` | `getGridLineWidth()`
`int` | `getGridStep()`
`int` | `getGridStepRange()`
`int` | `getMax()`
`int` | `getMin()`
`int` | `getTimeGeometryId()`
`java.lang.String` | `getTimeValuePosition()`
`void` | `setAxisColor(java.lang.String axisColor)`
`void` | `setAxisLabelsPlacement(java.lang.String axisLabelsPlacement)`
`void` | `setGridColor(java.lang.String gridColor)`
`void` | `setGridLineWidth(float gridLineWidth)`
`void` | `setGridStep(int gridStep)`
`void` | `setGridStepRange(int gridStepRange)`
`void` | `setMax(int max)`
`void` | `setMin(int min)`
`void` | `setTimeValuePosition(java.lang.String timeValuePosition)`

Method Detail

### getAxisColor

    java.lang.String getAxisColor()

### setAxisColor

    void setAxisColor(java.lang.String axisColor)

### getAxisLabelsPlacement

    java.lang.String getAxisLabelsPlacement()

### setAxisLabelsPlacement

    void setAxisLabelsPlacement(java.lang.String axisLabelsPlacement)

### getGridColor

    java.lang.String getGridColor()

### setGridColor

    void setGridColor(java.lang.String gridColor)

### getGridLineWidth

    float getGridLineWidth()

### setGridLineWidth

    void setGridLineWidth(float gridLineWidth)

### getGridStep

    int getGridStep()

### setGridStep

    void setGridStep(int gridStep)

### getGridStepRange

    int getGridStepRange()

### setGridStepRange

    void setGridStepRange(int gridStepRange)

### getMax

    int getMax()

### setMax

    void setMax(int max)

### getMin

    int getMin()

### setMin

    void setMin(int min)

### getTimeValuePosition

    java.lang.String getTimeValuePosition()

### setTimeValuePosition

    void setTimeValuePosition(java.lang.String timeValuePosition)

### getTimeGeometryId

    int getTimeGeometryId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Potix Corporation. All Rights Reserved.